<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:focusable="true"
    android:focusableInTouchMode="true"
    android:orientation="vertical">


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="3">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:orientation="vertical">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="10dp">

                <TextView
                    android:id="@+id/tv_wifi_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="WIFI:"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_wifi_ssid"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text=""
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toEndOf="@id/tv_wifi_title"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_wifi_status"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text=""
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toEndOf="@id/tv_wifi_title"
                    app:layout_constraintTop_toTopOf="parent" />


                <Button
                    android:id="@+id/btn_wifi"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="配网"
                    app:layout_constraintEnd_toStartOf="@id/btn_read_wifi_status"
                    app:layout_constraintTop_toTopOf="parent" />


                <Button
                    android:id="@+id/btn_read_wifi_status"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="读状态"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>


            <View
                android:layout_width="match_parent"
                android:layout_height="0.1dp"
                android:layout_marginTop="5dp"
                android:layout_marginBottom="5dp"
                android:background="#000000" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="10dp"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="URL(IP):" />

                <EditText
                    android:id="@+id/et_url"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="ailink.iot.aicare.net.cn" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="10dp"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Port:" />

                <EditText
                    android:id="@+id/et_port"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="number"
                    android:text="80" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="10dp"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Path:" />

                <EditText
                    android:id="@+id/et_path"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="10dp"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/btn_config"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="配置信息" />

                <Button
                    android:id="@+id/btn_read_config"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="读取信息" />


            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0.1dp"
                android:layout_marginTop="5dp"
                android:layout_marginBottom="5dp"
                android:background="#000000" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="1dp"
                android:padding="10dp">

                <Button
                    android:id="@+id/btn_set_unit"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="set_unit" />

                <Button
                    android:id="@+id/btn_start"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="start" />

                <Button
                    android:id="@+id/btn_stop"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="stop" />

                <Button
                    android:id="@+id/btn_voice"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="voice" />


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="10dp">

                <Button
                    android:id="@+id/btn_get_did"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="get_did" />

                <Button
                    android:id="@+id/btnVersion"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="version" />

                <Button
                    android:id="@+id/btnBattery"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Battery" />

            </LinearLayout>


        </LinearLayout>

    </ScrollView>

    <Button
        android:id="@+id/clear"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:text="清空" />

    <ListView
        android:id="@+id/listview"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="2"
        android:padding="10dp"
        android:stackFromBottom="true"
        android:transcriptMode="alwaysScroll">

    </ListView>

</LinearLayout>